function validate_mirrors()
{
	var ret = true;

	if($('MirrorName').value=='') { $('MirrorName').className = 'jdError'; ret=false; } else { $('MirrorName').className = '';  }	
	if($('MirrorURL').value=='') { $('MirrorURL').className = 'jdError'; ret=false; } else { $('MirrorURL').className = '';  }	

	return ret;	 
}

function rsfl_checks()
{
	var ret = false;
	var checkboxes = document.getElementsByName('default_folder');
	for(i=0;i<checkboxes.length;i++)
	{
		if ($('cb'+i).checked)
			ret = true;
	}

	return ret;
}


function buildXmlHttp()
{
	var xmlHttp;
	try
	{
		xmlHttp=new XMLHttpRequest();
	}
	catch (e)
	{
		try
		{
			xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch (e)
			{
				alert("Your browser does not support AJAX!");
				return false;
			}
		}
	}
	return xmlHttp;
}